Page MenuHomePhabricator

VE Page settings option for indexing/non-indexing does not communicate to user when the option cannot be applied
Open, LowPublic

Description

VE has in Page settings in Advanced section the following option: 'Let's this page be indexed by search engines' which promises "You can force search engines to list this page in their relevant results, or force them to not do so. This option does not affect in-site search."
The option adds magic words __INDEX__ or __NOINDEX__. The logic when such magic words would work is rather complicated (Wikipedia:Controlling search engine indexing).

Presenting to users the option for excluding/including pages without taking into account the real application of such magic words, might confuse users who would expect the option to work straightforwardly.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 20 2018, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kaldari renamed this task from VE Page settings option for indexing/non-indexing does not communicate to user when the opion cannot be applied to VE Page settings option for indexing/non-indexing does not communicate to user when the option cannot be applied.Dec 20 2018, 10:01 PM
Esanders triaged this task as Low priority.Jan 3 2019, 6:27 PM
JTannerWMF moved this task from To Triage to Freezer on the VisualEditor board.May 7 2019, 3:33 PM